cURL
curl --request POST \
--url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"agent_id": 586,
"params": {
"wallet_address": "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e"
},
"pagination": { "limit": 10, "offset": 0 },
"formatter_config": { "format_type": "raw" }
}'import requests
response = requests.post(
"https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
headers={"Authorization": "Bearer YOUR_TOKEN"},
json={
"agent_id": 586,
"params": {
"wallet_address": "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e",
},
"pagination": {"limit": 10, "offset": 0},
"formatter_config": {"format_type": "raw"},
},
)
print(response.json())const response = await fetch(
"https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
{
method: "POST",
headers: {
Authorization: "Bearer YOUR_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({
agent_id: 586,
params: {
wallet_address: "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e",
},
pagination: { limit: 10, offset: 0 },
formatter_config: { format_type: "raw" },
}),
}
);
const data = await response.json();{
"timestamp": "<string>",
"params": {
"wallet_address": "<string>"
},
"pagination": {
"limit": 123,
"offset": 123,
"has_more": true
},
"data": {
"results": [
{}
]
},
"request_id": "<string>"
}Polymarket
Lifetime Performance
View lifetime trading performance for a specific wallet address. Wallet Stats All Time on Our data (~9mo)
POST
/
api
/
v2
/
semantic
/
retrieve
/
parameterized
cURL
curl --request POST \
--url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"agent_id": 586,
"params": {
"wallet_address": "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e"
},
"pagination": { "limit": 10, "offset": 0 },
"formatter_config": { "format_type": "raw" }
}'import requests
response = requests.post(
"https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
headers={"Authorization": "Bearer YOUR_TOKEN"},
json={
"agent_id": 586,
"params": {
"wallet_address": "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e",
},
"pagination": {"limit": 10, "offset": 0},
"formatter_config": {"format_type": "raw"},
},
)
print(response.json())const response = await fetch(
"https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
{
method: "POST",
headers: {
Authorization: "Bearer YOUR_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({
agent_id: 586,
params: {
wallet_address: "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e",
},
pagination: { limit: 10, offset: 0 },
formatter_config: { format_type: "raw" },
}),
}
);
const data = await response.json();{
"timestamp": "<string>",
"params": {
"wallet_address": "<string>"
},
"pagination": {
"limit": 123,
"offset": 123,
"has_more": true
},
"data": {
"results": [
{}
]
},
"request_id": "<string>"
}Platform: Polymarket
Endpoint:
Authentication: Bearer token
Endpoint:
POST /v2/semantic/retrieve/parameterizedAuthentication: Bearer token
Query parameters
All requests useagent_id 586 (Lifetime Performance). Set filters inside params in the playground — all values must be strings.
| Parameter | Type | Description |
|---|---|---|
wallet_address | String | Wallet address (required). For example, "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e". |
Example Request
curl --request POST \
--url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"agent_id": 586,
"params": {
"wallet_address": "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e"
},
"pagination": {
"limit": 10,
"offset": 0
},
"formatter_config": {
"format_type": "raw"
}
}'
import requests
response = requests.post(
"https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
headers={"Authorization": "Bearer YOUR_TOKEN"},
json={
"agent_id": 586,
"params": {
"wallet_address": "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e"
},
"pagination": {
"limit": 10,
"offset": 0
},
"formatter_config": {
"format_type": "raw"
}
}
)
print(response.json())
const response = await fetch("https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"agent_id": 586,
"params": {
"wallet_address": "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e"
},
"pagination": {
"limit": 10,
"offset": 0
},
"formatter_config": {
"format_type": "raw"
}
})
});
const data = await response.json();
Example Response
{
"timestamp": "",
"params": {
"wallet_address": "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e"
},
"pagination": {
"limit": 50,
"offset": 0,
"has_more": false
},
"data": {
"results": [
{
"avg_pnl_per_trade": "2.26",
"avg_trade_size": "122.24",
"last_updated": "2026-03-14T00:00:00Z",
"proxy_wallet": "0x6ac5bb06a9eb05641fd5e82640268b92f3ab4b6e",
"roi_pct": "1.85",
"total_invested": "22785473.35",
"total_pnl": "420395.44",
"total_trades": 186403
}
]
}
}
Response fields
| Field | Type | Description |
|---|---|---|
proxy_wallet | String | Proxy wallet address associated with the trading activity |
total_trades | Integer | Total number of trades executed |
avg_trade_size | String (Decimal) | Average size of each trade |
avg_pnl_per_trade | String (Decimal) | Average profit or loss generated per trade |
total_invested | String (Decimal) | Total capital invested across all trades |
total_pnl | String (Decimal) | Total profit and loss across all trades (negative values indicate a loss) |
roi_pct | String (Decimal) | Return on investment expressed as a percentage |
last_updated | String (ISO 8601) | Timestamp indicating when the metrics were last updated |
Authorizations
Your Falcon API key from the dashboard
Body
application/json
Lifetime Performance agent ID.
Available options:
586 Response
Success